Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser

- org.apache.groovy.parser.antlr4.GroovyParser

-     public class GroovyParser
      extends AbstractParser

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `GroovyParser.AdditiveExprAltContext` |
    `static class` | `GroovyParser.AndExprAltContext` |
    `static class` | `GroovyParser.AnnotatedQualifiedClassNameContext` |
    `static class` | `GroovyParser.AnnotationContext` |
    `static class` | `GroovyParser.AnnotationNameContext` |
    `static class` | `GroovyParser.AnnotationsOptContext` |
    `static class` | `GroovyParser.AnonymousInnerClassDeclarationContext` |
    `static class` | `GroovyParser.ArgumentsContext` |
    `static class` | `GroovyParser.ArrayInitializerContext` |
    `static class` | `GroovyParser.AssertStatementContext` |
    `static class` | `GroovyParser.AssertStmtAltContext` |
    `static class` | `GroovyParser.AssignmentExprAltContext` |
    `static class` | `GroovyParser.BlockContext` |
    `static class` | `GroovyParser.BlockStatementContext` |
    `static class` | `GroovyParser.BlockStatementsContext` |
    `static class` | `GroovyParser.BlockStatementsOptContext` |
    `static class` | `GroovyParser.BlockStmtAltContext` |
    `static class` | `GroovyParser.BooleanLiteralAltContext` |
    `static class` | `GroovyParser.BreakStatementContext` |
    `static class` | `GroovyParser.BreakStmtAltContext` |
    `static class` | `GroovyParser.BuiltInTypeContext` |
    `static class` | `GroovyParser.BuiltInTypePrmrAltContext` |
    `static class` | `GroovyParser.CastExprAltContext` |
    `static class` | `GroovyParser.CastParExpressionContext` |
    `static class` | `GroovyParser.CatchClauseContext` |
    `static class` | `GroovyParser.CatchTypeContext` |
    `static class` | `GroovyParser.ClassBodyContext` |
    `static class` | `GroovyParser.ClassBodyDeclarationContext` |
    `static class` | `GroovyParser.ClassDeclarationContext` |
    `static class` | `GroovyParser.ClassNameContext` |
    `static class` | `GroovyParser.ClassOrInterfaceModifierContext` |
    `static class` | `GroovyParser.ClassOrInterfaceModifiersContext` |
    `static class` | `GroovyParser.ClassOrInterfaceModifiersOptContext` |
    `static class` | `GroovyParser.ClassOrInterfaceTypeContext` |
    `static class` | `GroovyParser.ClassicalForControlContext` |
    `static class` | `GroovyParser.ClosureContext` |
    `static class` | `GroovyParser.ClosureOrLambdaExpressionContext` |
    `static class` | `GroovyParser.ClosureOrLambdaExpressionPrmrAltContext` |
    `static class` | `GroovyParser.CommandArgumentContext` |
    `static class` | `GroovyParser.CommandExprAltContext` |
    `static class` | `GroovyParser.CommandExpressionContext` |
    `static class` | `GroovyParser.CompactConstructorDeclarationContext` |
    `static class` | `GroovyParser.CompilationUnitContext` |
    `static class` | `GroovyParser.ConditionalExprAltContext` |
    `static class` | `GroovyParser.ConditionalStatementContext` |
    `static class` | `GroovyParser.ConditionalStmtAltContext` |
    `static class` | `GroovyParser.ContinueStatementContext` |
    `static class` | `GroovyParser.ContinueStmtAltContext` |
    `static class` | `GroovyParser.CreatedNameContext` |
    `static class` | `GroovyParser.CreatorContext` |
    `static class` | `GroovyParser.DimContext` |
    `static class` | `GroovyParser.DoWhileStmtAltContext` |
    `static class` | `GroovyParser.DynamicMemberNameContext` |
    `static class` | `GroovyParser.ElementValueArrayInitializerContext` |
    `static class` | `GroovyParser.ElementValueContext` |
    `static class` | `GroovyParser.ElementValuePairContext` |
    `static class` | `GroovyParser.ElementValuePairNameContext` |
    `static class` | `GroovyParser.ElementValuePairsContext` |
    `static class` | `GroovyParser.ElementValuesContext` |
    `static class` | `GroovyParser.EmptyDimsContext` |
    `static class` | `GroovyParser.EmptyDimsOptContext` |
    `static class` | `GroovyParser.EmptyStmtAltContext` |
    `static class` | `GroovyParser.EnhancedArgumentListElementContext` |
    `static class` | `GroovyParser.EnhancedArgumentListInParContext` |
    `static class` | `GroovyParser.EnhancedExpressionContext` |
    `static class` | `GroovyParser.EnhancedForControlContext` |
    `static class` | `GroovyParser.EnhancedStatementExpressionContext` |
    `static class` | `GroovyParser.EnumConstantContext` |
    `static class` | `GroovyParser.EnumConstantsContext` |
    `static class` | `GroovyParser.EqualityExprAltContext` |
    `static class` | `GroovyParser.ExclusiveOrExprAltContext` |
    `static class` | `GroovyParser.ExpressionContext` |
    `static class` | `GroovyParser.ExpressionInParContext` |
    `static class` | `GroovyParser.ExpressionListContext` |
    `static class` | `GroovyParser.ExpressionListElementContext` |
    `static class` | `GroovyParser.ExpressionStmtAltContext` |
    `static class` | `GroovyParser.FieldDeclarationContext` |
    `static class` | `GroovyParser.FinallyBlockContext` |
    `static class` | `GroovyParser.FloatingPointLiteralAltContext` |
    `static class` | `GroovyParser.ForControlContext` |
    `static class` | `GroovyParser.ForInitContext` |
    `static class` | `GroovyParser.ForStmtAltContext` |
    `static class` | `GroovyParser.ForUpdateContext` |
    `static class` | `GroovyParser.FormalParameterContext` |
    `static class` | `GroovyParser.FormalParameterListContext` |
    `static class` | `GroovyParser.FormalParametersContext` |
    `static class` | `GroovyParser.GroovyParserRuleContext` |
    `static class` | `GroovyParser.GstringContext` |
    `static class` | `GroovyParser.GstringPathContext` |
    `static class` | `GroovyParser.GstringPrmrAltContext` |
    `static class` | `GroovyParser.GstringValueContext` |
    `static class` | `GroovyParser.IdentifierContext` |
    `static class` | `GroovyParser.IdentifierPrmrAltContext` |
    `static class` | `GroovyParser.IfElseStatementContext` |
    `static class` | `GroovyParser.ImplicationExprAltContext` |
    `static class` | `GroovyParser.ImportDeclarationContext` |
    `static class` | `GroovyParser.InclusiveOrExprAltContext` |
    `static class` | `GroovyParser.IndexPropertyArgsContext` |
    `static class` | `GroovyParser.IntegerLiteralAltContext` |
    `static class` | `GroovyParser.KeywordsContext` |
    `static class` | `GroovyParser.LabeledStmtAltContext` |
    `static class` | `GroovyParser.LambdaBodyContext` |
    `static class` | `GroovyParser.ListContext` |
    `static class` | `GroovyParser.ListPrmrAltContext` |
    `static class` | `GroovyParser.LiteralContext` |
    `static class` | `GroovyParser.LiteralPrmrAltContext` |
    `static class` | `GroovyParser.LocalVariableDeclarationContext` |
    `static class` | `GroovyParser.LocalVariableDeclarationStmtAltContext` |
    `static class` | `GroovyParser.LogicalAndExprAltContext` |
    `static class` | `GroovyParser.LogicalOrExprAltContext` |
    `static class` | `GroovyParser.LoopStatementContext` |
    `static class` | `GroovyParser.LoopStmtAltContext` |
    `static class` | `GroovyParser.MapContext` |
    `static class` | `GroovyParser.MapEntryContext` |
    `static class` | `GroovyParser.MapEntryLabelContext` |
    `static class` | `GroovyParser.MapEntryListContext` |
    `static class` | `GroovyParser.MapPrmrAltContext` |
    `static class` | `GroovyParser.MemberDeclarationContext` |
    `static class` | `GroovyParser.MethodBodyContext` |
    `static class` | `GroovyParser.MethodDeclarationContext` |
    `static class` | `GroovyParser.MethodNameContext` |
    `static class` | `GroovyParser.ModifierContext` |
    `static class` | `GroovyParser.ModifiersContext` |
    `static class` | `GroovyParser.ModifiersOptContext` |
    `static class` | `GroovyParser.MultipleAssignmentExprAltContext` |
    `static class` | `GroovyParser.MultiplicativeExprAltContext` |
    `static class` | `GroovyParser.NamePartContext` |
    `static class` | `GroovyParser.NamedPropertyArgsContext` |
    `static class` | `GroovyParser.NewPrmrAltContext` |
    `static class` | `GroovyParser.NlsContext` |
    `static class` | `GroovyParser.NonWildcardTypeArgumentsContext` |
    `static class` | `GroovyParser.NullLiteralAltContext` |
    `static class` | `GroovyParser.PackageDeclarationContext` |
    `static class` | `GroovyParser.ParExpressionContext` |
    `static class` | `GroovyParser.ParenPrmrAltContext` |
    `static class` | `GroovyParser.PathElementContext` |
    `static class` | `GroovyParser.PathExpressionContext` |
    `static class` | `GroovyParser.PostfixExprAltContext` |
    `static class` | `GroovyParser.PostfixExpressionContext` |
    `static class` | `GroovyParser.PowerExprAltContext` |
    `static class` | `GroovyParser.PrimaryContext` |
    `static class` | `GroovyParser.PrimitiveTypeContext` |
    `static class` | `GroovyParser.QualifiedClassNameContext` |
    `static class` | `GroovyParser.QualifiedClassNameListContext` |
    `static class` | `GroovyParser.QualifiedNameContext` |
    `static class` | `GroovyParser.QualifiedNameElementContext` |
    `static class` | `GroovyParser.QualifiedNameElementsContext` |
    `static class` | `GroovyParser.QualifiedStandardClassNameContext` |
    `static class` | `GroovyParser.RegexExprAltContext` |
    `static class` | `GroovyParser.RelationalExprAltContext` |
    `static class` | `GroovyParser.ResourceContext` |
    `static class` | `GroovyParser.ResourceListContext` |
    `static class` | `GroovyParser.ResourcesContext` |
    `static class` | `GroovyParser.ReturnStmtAltContext` |
    `static class` | `GroovyParser.ReturnTypeContext` |
    `static class` | `GroovyParser.RparenContext` |
    `static class` | `GroovyParser.ScriptStatementContext` |
    `static class` | `GroovyParser.ScriptStatementsContext` |
    `static class` | `GroovyParser.SepContext` |
    `static class` | `GroovyParser.ShiftExprAltContext` |
    `static class` | `GroovyParser.StandardLambdaExpressionContext` |
    `static class` | `GroovyParser.StandardLambdaParametersContext` |
    `static class` | `GroovyParser.StatementContext` |
    `static class` | `GroovyParser.StatementExpressionContext` |
    `static class` | `GroovyParser.StringLiteralAltContext` |
    `static class` | `GroovyParser.StringLiteralContext` |
    `static class` | `GroovyParser.SuperPrmrAltContext` |
    `static class` | `GroovyParser.SwitchBlockStatementExpressionGroupContext` |
    `static class` | `GroovyParser.SwitchBlockStatementGroupContext` |
    `static class` | `GroovyParser.SwitchExprAltContext` |
    `static class` | `GroovyParser.SwitchExpressionContext` |
    `static class` | `GroovyParser.SwitchExpressionLabelContext` |
    `static class` | `GroovyParser.SwitchLabelContext` |
    `static class` | `GroovyParser.SwitchStatementContext` |
    `static class` | `GroovyParser.SynchronizedStmtAltContext` |
    `static class` | `GroovyParser.ThisFormalParameterContext` |
    `static class` | `GroovyParser.ThisPrmrAltContext` |
    `static class` | `GroovyParser.ThrowStmtAltContext` |
    `static class` | `GroovyParser.TryCatchStatementContext` |
    `static class` | `GroovyParser.TryCatchStmtAltContext` |
    `static class` | `GroovyParser.TypeArgumentContext` |
    `static class` | `GroovyParser.TypeArgumentsContext` |
    `static class` | `GroovyParser.TypeArgumentsOrDiamondContext` |
    `static class` | `GroovyParser.TypeBoundContext` |
    `static class` | `GroovyParser.TypeContext` |
    `static class` | `GroovyParser.TypeDeclarationContext` |
    `static class` | `GroovyParser.TypeListContext` |
    `static class` | `GroovyParser.TypeNamePairContext` |
    `static class` | `GroovyParser.TypeNamePairsContext` |
    `static class` | `GroovyParser.TypeParameterContext` |
    `static class` | `GroovyParser.TypeParametersContext` |
    `static class` | `GroovyParser.UnaryAddExprAltContext` |
    `static class` | `GroovyParser.UnaryNotExprAltContext` |
    `static class` | `GroovyParser.VariableDeclarationContext` |
    `static class` | `GroovyParser.VariableDeclaratorContext` |
    `static class` | `GroovyParser.VariableDeclaratorIdContext` |
    `static class` | `GroovyParser.VariableDeclaratorsContext` |
    `static class` | `GroovyParser.VariableInitializerContext` |
    `static class` | `GroovyParser.VariableInitializersContext` |
    `static class` | `GroovyParser.VariableModifierContext` |
    `static class` | `GroovyParser.VariableModifiersContext` |
    `static class` | `GroovyParser.VariableModifiersOptContext` |
    `static class` | `GroovyParser.VariableNamesContext` |
    `static class` | `GroovyParser.WhileStmtAltContext` |
    `static class` | `GroovyParser.YieldStatementContext` |
    `static class` | `GroovyParser.YieldStmtAltContext` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `RULE_compilationUnit` |
    `static int` | `StringLiteral` |
    `static Vocabulary` | `VOCABULARY` |
    `static ATN` | `_ATN` |
    `static String` | `_serializedATN` |
    `static String[]` | `ruleNames` |
    `static String[]` | `tokenNames` | deprecated: Use VOCABULARY instead.

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class Parser` | `NEWLINE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyParser(TokenStream input)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public final GroovyParser.AnnotatedQualifiedClassNameContext` | `annotatedQualifiedClassName()`
    `` | `public final GroovyParser.AnnotationContext` | `annotation()`
    `` | `public final GroovyParser.AnnotationNameContext` | `annotationName()`
    `` | `public final GroovyParser.AnnotationsOptContext` | `annotationsOpt()`
    `` | `public final GroovyParser.AnonymousInnerClassDeclarationContext` | `anonymousInnerClassDeclaration(int t)`
    `` | `public final GroovyParser.EnhancedArgumentListInParContext` | `argumentList()`
    `` | `public final GroovyParser.EnhancedArgumentListElementContext` | `argumentListElement()`
    `` | `public final GroovyParser.ArgumentsContext` | `arguments()`
    `` | `public final GroovyParser.ArrayInitializerContext` | `arrayInitializer()`
    `` | `public final GroovyParser.AssertStatementContext` | `assertStatement()`
    `` | `public final GroovyParser.BlockContext` | `block()`
    `` | `public final GroovyParser.BlockStatementContext` | `blockStatement()`
    `` | `public final GroovyParser.BlockStatementsContext` | `blockStatements()`
    `` | `public final GroovyParser.BlockStatementsOptContext` | `blockStatementsOpt()`
    `` | `public final GroovyParser.BreakStatementContext` | `breakStatement()`
    `` | `public final GroovyParser.BuiltInTypeContext` | `builtInType()`
    `` | `public final GroovyParser.ExpressionContext` | `castOperandExpression()`
    `` | `public final GroovyParser.CastParExpressionContext` | `castParExpression()`
    `` | `public final GroovyParser.CatchClauseContext` | `catchClause()`
    `` | `public final GroovyParser.CatchTypeContext` | `catchType()`
    `` | `public final GroovyParser.ClassBodyContext` | `classBody(int t)`
    `` | `public final GroovyParser.ClassBodyDeclarationContext` | `classBodyDeclaration(int t)`
    `` | `public final GroovyParser.ClassDeclarationContext` | `classDeclaration()`
    `` | `public final GroovyParser.ClassNameContext` | `className()`
    `` | `public final GroovyParser.ClassOrInterfaceModifierContext` | `classOrInterfaceModifier()`
    `` | `public final GroovyParser.ClassOrInterfaceModifiersContext` | `classOrInterfaceModifiers()`
    `` | `public final GroovyParser.ClassOrInterfaceModifiersOptContext` | `classOrInterfaceModifiersOpt()`
    `` | `public final GroovyParser.ClassOrInterfaceTypeContext` | `classOrInterfaceType()`
    `` | `public final GroovyParser.ClassicalForControlContext` | `classicalForControl()`
    `` | `public final GroovyParser.ClosureContext` | `closure()`
    `` | `public final GroovyParser.ClosureOrLambdaExpressionContext` | `closureOrLambdaExpression()`
    `` | `public final GroovyParser.CommandArgumentContext` | `commandArgument()`
    `` | `public final GroovyParser.CommandExpressionContext` | `commandExpression()`
    `` | `public final PrimaryContext` | `commandPrimary()`
    `` | `public final GroovyParser.CompactConstructorDeclarationContext` | `compactConstructorDeclaration()`
    `` | `public final GroovyParser.CompilationUnitContext` | `compilationUnit()`
    `` | `public final GroovyParser.ConditionalStatementContext` | `conditionalStatement()`
    `` | `public final GroovyParser.ContinueStatementContext` | `continueStatement()`
    `` | `protected FailedPredicateException` | `createFailedPredicateException(String predicate, String message)`
    `` | `public final GroovyParser.CreatedNameContext` | `createdName()`
    `` | `public final GroovyParser.CreatorContext` | `creator(int t)`
    `` | `public final GroovyParser.DimContext` | `dim()`
    `` | `public final GroovyParser.DynamicMemberNameContext` | `dynamicMemberName()`
    `` | `public final GroovyParser.ElementValueContext` | `elementValue()`
    `` | `public final GroovyParser.ElementValueArrayInitializerContext` | `elementValueArrayInitializer()`
    `` | `public final GroovyParser.ElementValuePairContext` | `elementValuePair()`
    `` | `public final ElementValuePairNameContext` | `elementValuePairName()`
    `` | `public final GroovyParser.ElementValuePairsContext` | `elementValuePairs()`
    `` | `public final GroovyParser.ElementValuesContext` | `elementValues()`
    `` | `public final GroovyParser.EmptyDimsContext` | `emptyDims()`
    `` | `public final GroovyParser.EmptyDimsOptContext` | `emptyDimsOpt()`
    `` | `public final GroovyParser.EnhancedArgumentListElementContext` | `enhancedArgumentListElement()`
    `` | `public final GroovyParser.EnhancedArgumentListInParContext` | `enhancedArgumentListInPar()`
    `` | `public final GroovyParser.EnhancedExpressionContext` | `enhancedExpression()`
    `` | `public final GroovyParser.EnhancedForControlContext` | `enhancedForControl()`
    `` | `public final GroovyParser.EnhancedStatementExpressionContext` | `enhancedStatementExpression()`
    `` | `public final GroovyParser.EnumConstantContext` | `enumConstant()`
    `` | `public final GroovyParser.EnumConstantsContext` | `enumConstants()`
    `` | `public final GroovyParser.ExpressionContext` | `expression()`
    `` | `public final GroovyParser.ExpressionInParContext` | `expressionInPar()`
    `` | `public final GroovyParser.ExpressionListContext` | `expressionList(boolean canSpread)`
    `` | `public final GroovyParser.ExpressionListElementContext` | `expressionListElement(boolean canSpread)`
    `` | `public final GroovyParser.FieldDeclarationContext` | `fieldDeclaration()`
    `` | `public final GroovyParser.FinallyBlockContext` | `finallyBlock()`
    `` | `public final GroovyParser.EnhancedArgumentListElementContext` | `firstArgumentListElement()`
    `` | `public final GroovyParser.ForControlContext` | `forControl()`
    `` | `public final GroovyParser.ForInitContext` | `forInit()`
    `` | `public final GroovyParser.ForUpdateContext` | `forUpdate()`
    `` | `public final GroovyParser.FormalParameterContext` | `formalParameter()`
    `` | `public final GroovyParser.FormalParameterListContext` | `formalParameterList()`
    `` | `public final GroovyParser.FormalParametersContext` | `formalParameters()`
    `` | `public final GroovyParser.ClassOrInterfaceTypeContext` | `generalClassOrInterfaceType()`
    `` | `public int` | `getErrorColumn()`
    `` | `public int` | `getErrorLine()`
    `` | `public String` | `getGrammarFileName()`
    `` | `public String[]` | `getRuleNames()`
    `` | `public String` | `getSerializedATN()`
    `` | `public int` | `getSyntaxErrorSource()`
    `` | `public String[]` | `getTokenNames()`
    `` | `public Vocabulary` | `getVocabulary()`
    `` | `public final GroovyParser.GstringContext` | `gstring()`
    `` | `public final GroovyParser.GstringPathContext` | `gstringPath()`
    `` | `public final GroovyParser.GstringValueContext` | `gstringValue()`
    `` | `public final GroovyParser.IdentifierContext` | `identifier()`
    `` | `public final GroovyParser.IfElseStatementContext` | `ifElseStatement()`
    `` | `public final GroovyParser.ImportDeclarationContext` | `importDeclaration()`
    `` | `public final GroovyParser.IndexPropertyArgsContext` | `indexPropertyArgs()`
    `` | `public final GroovyParser.KeywordsContext` | `keywords()`
    `` | `public final GroovyParser.LambdaBodyContext` | `lambdaBody()`
    `` | `public final GroovyParser.StandardLambdaExpressionContext` | `lambdaExpression()`
    `` | `public final GroovyParser.StandardLambdaParametersContext` | `lambdaParameters()`
    `` | `public final GroovyParser.ListContext` | `list()`
    `` | `public final LiteralContext` | `literal()`
    `` | `public final GroovyParser.LocalVariableDeclarationContext` | `localVariableDeclaration()`
    `` | `public final LoopStatementContext` | `loopStatement()`
    `` | `public final GroovyParser.MapContext` | `map()`
    `` | `public final GroovyParser.MapEntryContext` | `mapEntry()`
    `` | `public final GroovyParser.MapEntryLabelContext` | `mapEntryLabel()`
    `` | `public final GroovyParser.MapEntryListContext` | `mapEntryList()`
    `` | `public final GroovyParser.MemberDeclarationContext` | `memberDeclaration(int t)`
    `` | `public final GroovyParser.MethodBodyContext` | `methodBody()`
    `` | `public final GroovyParser.MethodDeclarationContext` | `methodDeclaration(int t, int ct)`
    `` | `public final GroovyParser.MethodNameContext` | `methodName()`
    `` | `public final GroovyParser.ModifierContext` | `modifier()`
    `` | `public final GroovyParser.ModifiersContext` | `modifiers()`
    `` | `public final GroovyParser.ModifiersOptContext` | `modifiersOpt()`
    `` | `public final GroovyParser.NamePartContext` | `namePart()`
    `` | `public final GroovyParser.MapEntryContext` | `namedArg()`
    `` | `public final GroovyParser.MapEntryLabelContext` | `namedArgLabel()`
    `` | `public final PrimaryContext` | `namedArgPrimary()`
    `` | `public final GroovyParser.MapEntryContext` | `namedPropertyArg()`
    `` | `public final GroovyParser.MapEntryLabelContext` | `namedPropertyArgLabel()`
    `` | `public final GroovyParser.MapEntryListContext` | `namedPropertyArgList()`
    `` | `public final PrimaryContext` | `namedPropertyArgPrimary()`
    `` | `public final GroovyParser.NamedPropertyArgsContext` | `namedPropertyArgs()`
    `` | `public final NlsContext` | `nls()`
    `` | `public final GroovyParser.NonWildcardTypeArgumentsContext` | `nonWildcardTypeArguments()`
    `` | `public final GroovyParser.PackageDeclarationContext` | `packageDeclaration()`
    `` | `public final GroovyParser.ParExpressionContext` | `parExpression()`
    `` | `public final GroovyParser.PathElementContext` | `pathElement()`
    `` | `public final GroovyParser.PathExpressionContext` | `pathExpression()`
    `` | `public final GroovyParser.PostfixExpressionContext` | `postfixExpression()`
    `` | `public final PrimaryContext` | `primary()`
    `` | `public final GroovyParser.PrimitiveTypeContext` | `primitiveType()`
    `` | `public final GroovyParser.QualifiedClassNameContext` | `qualifiedClassName()`
    `` | `public final GroovyParser.QualifiedClassNameListContext` | `qualifiedClassNameList()`
    `` | `public final GroovyParser.QualifiedNameContext` | `qualifiedName()`
    `` | `public final QualifiedNameElementContext` | `qualifiedNameElement()`
    `` | `public final QualifiedNameElementsContext` | `qualifiedNameElements()`
    `` | `public final GroovyParser.QualifiedStandardClassNameContext` | `qualifiedStandardClassName()`
    `` | `public final GroovyParser.ResourceContext` | `resource()`
    `` | `public final GroovyParser.ResourceListContext` | `resourceList()`
    `` | `public final GroovyParser.ResourcesContext` | `resources()`
    `` | `public final GroovyParser.ReturnTypeContext` | `returnType(int ct)`
    `` | `public final RparenContext` | `rparen()`
    `` | `public final ScriptStatementContext` | `scriptStatement()`
    `` | `public final GroovyParser.ScriptStatementsContext` | `scriptStatements()`
    `` | `public boolean` | `sempred(RuleContext _localctx, int ruleIndex, int predIndex)`
    `` | `public final SepContext` | `sep()`
    `` | `public final GroovyParser.ClassOrInterfaceTypeContext` | `standardClassOrInterfaceType()`
    `` | `public final GroovyParser.StandardLambdaExpressionContext` | `standardLambdaExpression()`
    `` | `public final GroovyParser.StandardLambdaParametersContext` | `standardLambdaParameters()`
    `` | `public final GroovyParser.TypeContext` | `standardType()`
    `` | `public final GroovyParser.StatementContext` | `statement()`
    `` | `public final StatementExpressionContext` | `statementExpression()`
    `` | `public final GroovyParser.StringLiteralContext` | `stringLiteral()`
    `` | `public final GroovyParser.SwitchBlockStatementExpressionGroupContext` | `switchBlockStatementExpressionGroup()`
    `` | `public final GroovyParser.SwitchBlockStatementGroupContext` | `switchBlockStatementGroup()`
    `` | `public final GroovyParser.SwitchExpressionContext` | `switchExpression()`
    `` | `public final GroovyParser.SwitchExpressionLabelContext` | `switchExpressionLabel()`
    `` | `public final GroovyParser.SwitchLabelContext` | `switchLabel()`
    `` | `public final GroovyParser.SwitchStatementContext` | `switchStatement()`
    `` | `public final GroovyParser.ThisFormalParameterContext` | `thisFormalParameter()`
    `` | `public final GroovyParser.TryCatchStatementContext` | `tryCatchStatement()`
    `` | `public final GroovyParser.TypeContext` | `type()`
    `` | `public final GroovyParser.TypeArgumentContext` | `typeArgument()`
    `` | `public final GroovyParser.TypeArgumentsContext` | `typeArguments()`
    `` | `public final GroovyParser.TypeArgumentsOrDiamondContext` | `typeArgumentsOrDiamond()`
    `` | `public final GroovyParser.TypeBoundContext` | `typeBound()`
    `` | `public final GroovyParser.TypeDeclarationContext` | `typeDeclaration()`
    `` | `public final GroovyParser.TypeListContext` | `typeList()`
    `` | `public final GroovyParser.TypeNamePairContext` | `typeNamePair()`
    `` | `public final GroovyParser.TypeNamePairsContext` | `typeNamePairs()`
    `` | `public final GroovyParser.TypeParameterContext` | `typeParameter()`
    `` | `public final GroovyParser.TypeParametersContext` | `typeParameters()`
    `` | `public final GroovyParser.VariableDeclarationContext` | `variableDeclaration(int t)`
    `` | `public final GroovyParser.VariableDeclaratorContext` | `variableDeclarator()`
    `` | `public final GroovyParser.VariableDeclaratorIdContext` | `variableDeclaratorId()`
    `` | `public final GroovyParser.VariableDeclaratorsContext` | `variableDeclarators()`
    `` | `public final GroovyParser.VariableInitializerContext` | `variableInitializer()`
    `` | `public final GroovyParser.VariableInitializersContext` | `variableInitializers()`
    `` | `public final GroovyParser.VariableModifierContext` | `variableModifier()`
    `` | `public final GroovyParser.VariableModifiersContext` | `variableModifiers()`
    `` | `public final GroovyParser.VariableModifiersOptContext` | `variableModifiersOpt()`
    `` | `public final GroovyParser.VariableNamesContext` | `variableNames()`
    `` | `public final GroovyParser.YieldStatementContext` | `yieldStatement()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Parser` | `parse`

- - ### Field Detail

    - #### public static final int RULE_compilationUnit

    - #### public static final int StringLiteral

    - #### public static final Vocabulary VOCABULARY

    - #### public static final ATN _ATN

    - #### public static final String _serializedATN

    - #### public static final String[] ruleNames

    - #### @Deprecated
      public static final String[] tokenNames

      deprecated:
        Use VOCABULARY instead.

  - ### Constructor Detail

    - #### public GroovyParser(TokenStream input)

  - ### Method Detail

    - #### @RuleVersion(0)
      public final GroovyParser.AnnotatedQualifiedClassNameContext annotatedQualifiedClassName()

    - #### @RuleVersion(0)
      public final GroovyParser.AnnotationContext annotation()

    - #### @RuleVersion(0)
      public final GroovyParser.AnnotationNameContext annotationName()

    - #### @RuleVersion(0)
      public final GroovyParser.AnnotationsOptContext annotationsOpt()

    - #### @RuleVersion(0)
      public final GroovyParser.AnonymousInnerClassDeclarationContext anonymousInnerClassDeclaration(int t)

    - #### @RuleVersion(0)
      public final GroovyParser.EnhancedArgumentListInParContext argumentList()

    - #### @RuleVersion(0)
      public final GroovyParser.EnhancedArgumentListElementContext argumentListElement()

    - #### @RuleVersion(0)
      public final GroovyParser.ArgumentsContext arguments()

    - #### @RuleVersion(0)
      public final GroovyParser.ArrayInitializerContext arrayInitializer()

    - #### @RuleVersion(0)
      public final GroovyParser.AssertStatementContext assertStatement()

    - #### @RuleVersion(0)
      public final GroovyParser.BlockContext block()

    - #### @RuleVersion(0)
      public final GroovyParser.BlockStatementContext blockStatement()

    - #### @RuleVersion(0)
      public final GroovyParser.BlockStatementsContext blockStatements()

    - #### @RuleVersion(0)
      public final GroovyParser.BlockStatementsOptContext blockStatementsOpt()

    - #### @RuleVersion(0)
      public final GroovyParser.BreakStatementContext breakStatement()

    - #### @RuleVersion(0)
      public final GroovyParser.BuiltInTypeContext builtInType()

    - #### @RuleVersion(0)
      public final GroovyParser.ExpressionContext castOperandExpression()

    - #### @RuleVersion(0)
      public final GroovyParser.CastParExpressionContext castParExpression()

    - #### @RuleVersion(0)
      public final GroovyParser.CatchClauseContext catchClause()

    - #### @RuleVersion(0)
      public final GroovyParser.CatchTypeContext catchType()

    - #### @RuleVersion(0)
      public final GroovyParser.ClassBodyContext classBody(int t)

    - #### @RuleVersion(0)
      public final GroovyParser.ClassBodyDeclarationContext classBodyDeclaration(int t)

    - #### @RuleVersion(0)
      public final GroovyParser.ClassDeclarationContext classDeclaration()

    - #### @RuleVersion(0)
      public final GroovyParser.ClassNameContext className()

    - #### @RuleVersion(0)
      public final GroovyParser.ClassOrInterfaceModifierContext classOrInterfaceModifier()

    - #### @RuleVersion(0)
      public final GroovyParser.ClassOrInterfaceModifiersContext classOrInterfaceModifiers()

    - #### @RuleVersion(0)
      public final GroovyParser.ClassOrInterfaceModifiersOptContext classOrInterfaceModifiersOpt()

    - #### @RuleVersion(0)
      public final GroovyParser.ClassOrInterfaceTypeContext classOrInterfaceType()

    - #### @RuleVersion(0)
      public final GroovyParser.ClassicalForControlContext classicalForControl()

    - #### @RuleVersion(0)
      public final GroovyParser.ClosureContext closure()

    - #### @RuleVersion(0)
      public final GroovyParser.ClosureOrLambdaExpressionContext closureOrLambdaExpression()

    - #### @RuleVersion(0)
      public final GroovyParser.CommandArgumentContext commandArgument()

    - #### @RuleVersion(0)
      public final GroovyParser.CommandExpressionContext commandExpression()

    - #### @RuleVersion(0)
      public final PrimaryContext commandPrimary()

    - #### @RuleVersion(0)
      public final GroovyParser.CompactConstructorDeclarationContext compactConstructorDeclaration()

    - #### @RuleVersion(0)
      public final GroovyParser.CompilationUnitContext compilationUnit()

    - #### @RuleVersion(0)
      public final GroovyParser.ConditionalStatementContext conditionalStatement()

    - #### @RuleVersion(0)
      public final GroovyParser.ContinueStatementContext continueStatement()

    - #### @NotNull
      protected FailedPredicateException createFailedPredicateException(@Nullable
      String predicate, @Nullable
      String message)

    - #### @RuleVersion(0)
      public final GroovyParser.CreatedNameContext createdName()

    - #### @RuleVersion(0)
      public final GroovyParser.CreatorContext creator(int t)

    - #### @RuleVersion(0)
      public final GroovyParser.DimContext dim()

    - #### @RuleVersion(0)
      public final GroovyParser.DynamicMemberNameContext dynamicMemberName()

    - #### @RuleVersion(0)
      public final GroovyParser.ElementValueContext elementValue()

    - #### @RuleVersion(0)
      public final GroovyParser.ElementValueArrayInitializerContext elementValueArrayInitializer()

    - #### @RuleVersion(0)
      public final GroovyParser.ElementValuePairContext elementValuePair()

    - #### @RuleVersion(0)
      public final ElementValuePairNameContext elementValuePairName()

    - #### @RuleVersion(0)
      public final GroovyParser.ElementValuePairsContext elementValuePairs()

    - #### @RuleVersion(0)
      public final GroovyParser.ElementValuesContext elementValues()

    - #### @RuleVersion(0)
      public final GroovyParser.EmptyDimsContext emptyDims()

    - #### @RuleVersion(0)
      public final GroovyParser.EmptyDimsOptContext emptyDimsOpt()

    - #### @RuleVersion(0)
      public final GroovyParser.EnhancedArgumentListElementContext enhancedArgumentListElement()

    - #### @RuleVersion(0)
      public final GroovyParser.EnhancedArgumentListInParContext enhancedArgumentListInPar()

    - #### @RuleVersion(0)
      public final GroovyParser.EnhancedExpressionContext enhancedExpression()

    - #### @RuleVersion(0)
      public final GroovyParser.EnhancedForControlContext enhancedForControl()

    - #### @RuleVersion(0)
      public final GroovyParser.EnhancedStatementExpressionContext enhancedStatementExpression()

    - #### @RuleVersion(0)
      public final GroovyParser.EnumConstantContext enumConstant()

    - #### @RuleVersion(0)
      public final GroovyParser.EnumConstantsContext enumConstants()

    - #### @RuleVersion(0)
      public final GroovyParser.ExpressionContext expression()

    - #### @RuleVersion(0)
      public final GroovyParser.ExpressionInParContext expressionInPar()

    - #### @RuleVersion(0)
      public final GroovyParser.ExpressionListContext expressionList(boolean canSpread)

    - #### @RuleVersion(0)
      public final GroovyParser.ExpressionListElementContext expressionListElement(boolean canSpread)

    - #### @RuleVersion(0)
      public final GroovyParser.FieldDeclarationContext fieldDeclaration()

    - #### @RuleVersion(0)
      public final GroovyParser.FinallyBlockContext finallyBlock()

    - #### @RuleVersion(0)
      public final GroovyParser.EnhancedArgumentListElementContext firstArgumentListElement()

    - #### @RuleVersion(0)
      public final GroovyParser.ForControlContext forControl()

    - #### @RuleVersion(0)
      public final GroovyParser.ForInitContext forInit()

    - #### @RuleVersion(0)
      public final GroovyParser.ForUpdateContext forUpdate()

    - #### @RuleVersion(0)
      public final GroovyParser.FormalParameterContext formalParameter()

    - #### @RuleVersion(0)
      public final GroovyParser.FormalParameterListContext formalParameterList()

    - #### @RuleVersion(0)
      public final GroovyParser.FormalParametersContext formalParameters()

    - #### @RuleVersion(0)
      public final GroovyParser.ClassOrInterfaceTypeContext generalClassOrInterfaceType()

    - #### @Override
      public int getErrorColumn()

    - #### @Override
      public int getErrorLine()

    - #### @Override
      public String getGrammarFileName()

    - #### @Override
      public String[] getRuleNames()

    - #### @Override
      public String getSerializedATN()

    - #### @Override
      public int getSyntaxErrorSource()

    - #### @Override
      @Deprecated
      public String[] getTokenNames()

    - #### @Override
      @NotNull
      public Vocabulary getVocabulary()

    - #### @RuleVersion(0)
      public final GroovyParser.GstringContext gstring()

    - #### @RuleVersion(0)
      public final GroovyParser.GstringPathContext gstringPath()

    - #### @RuleVersion(0)
      public final GroovyParser.GstringValueContext gstringValue()

    - #### @RuleVersion(0)
      public final GroovyParser.IdentifierContext identifier()

    - #### @RuleVersion(0)
      public final GroovyParser.IfElseStatementContext ifElseStatement()

    - #### @RuleVersion(0)
      public final GroovyParser.ImportDeclarationContext importDeclaration()

    - #### @RuleVersion(0)
      public final GroovyParser.IndexPropertyArgsContext indexPropertyArgs()

    - #### @RuleVersion(0)
      public final GroovyParser.KeywordsContext keywords()

    - #### @RuleVersion(0)
      public final GroovyParser.LambdaBodyContext lambdaBody()

    - #### @RuleVersion(0)
      public final GroovyParser.StandardLambdaExpressionContext lambdaExpression()

    - #### @RuleVersion(0)
      public final GroovyParser.StandardLambdaParametersContext lambdaParameters()

    - #### @RuleVersion(0)
      public final GroovyParser.ListContext list()

    - #### @RuleVersion(0)
      public final LiteralContext literal()

    - #### @RuleVersion(0)
      public final GroovyParser.LocalVariableDeclarationContext localVariableDeclaration()

    - #### @RuleVersion(0)
      public final LoopStatementContext loopStatement()

    - #### @RuleVersion(0)
      public final GroovyParser.MapContext map()

    - #### @RuleVersion(0)
      public final GroovyParser.MapEntryContext mapEntry()

    - #### @RuleVersion(0)
      public final GroovyParser.MapEntryLabelContext mapEntryLabel()

    - #### @RuleVersion(0)
      public final GroovyParser.MapEntryListContext mapEntryList()

    - #### @RuleVersion(0)
      public final GroovyParser.MemberDeclarationContext memberDeclaration(int t)

    - #### @RuleVersion(0)
      public final GroovyParser.MethodBodyContext methodBody()

    - #### @RuleVersion(0)
      public final GroovyParser.MethodDeclarationContext methodDeclaration(int t, int ct)

    - #### @RuleVersion(0)
      public final GroovyParser.MethodNameContext methodName()

    - #### @RuleVersion(0)
      public final GroovyParser.ModifierContext modifier()

    - #### @RuleVersion(0)
      public final GroovyParser.ModifiersContext modifiers()

    - #### @RuleVersion(0)
      public final GroovyParser.ModifiersOptContext modifiersOpt()

    - #### @RuleVersion(0)
      public final GroovyParser.NamePartContext namePart()

    - #### @RuleVersion(0)
      public final GroovyParser.MapEntryContext namedArg()

    - #### @RuleVersion(0)
      public final GroovyParser.MapEntryLabelContext namedArgLabel()

    - #### @RuleVersion(0)
      public final PrimaryContext namedArgPrimary()

    - #### @RuleVersion(0)
      public final GroovyParser.MapEntryContext namedPropertyArg()

    - #### @RuleVersion(0)
      public final GroovyParser.MapEntryLabelContext namedPropertyArgLabel()

    - #### @RuleVersion(0)
      public final GroovyParser.MapEntryListContext namedPropertyArgList()

    - #### @RuleVersion(0)
      public final PrimaryContext namedPropertyArgPrimary()

    - #### @RuleVersion(0)
      public final GroovyParser.NamedPropertyArgsContext namedPropertyArgs()

    - #### @RuleVersion(0)
      public final NlsContext nls()

    - #### @RuleVersion(0)
      public final GroovyParser.NonWildcardTypeArgumentsContext nonWildcardTypeArguments()

    - #### @RuleVersion(0)
      public final GroovyParser.PackageDeclarationContext packageDeclaration()

    - #### @RuleVersion(0)
      public final GroovyParser.ParExpressionContext parExpression()

    - #### @RuleVersion(0)
      public final GroovyParser.PathElementContext pathElement()

    - #### @RuleVersion(0)
      public final GroovyParser.PathExpressionContext pathExpression()

    - #### @RuleVersion(0)
      public final GroovyParser.PostfixExpressionContext postfixExpression()

    - #### @RuleVersion(0)
      public final PrimaryContext primary()

    - #### @RuleVersion(0)
      public final GroovyParser.PrimitiveTypeContext primitiveType()

    - #### @RuleVersion(0)
      public final GroovyParser.QualifiedClassNameContext qualifiedClassName()

    - #### @RuleVersion(0)
      public final GroovyParser.QualifiedClassNameListContext qualifiedClassNameList()

    - #### @RuleVersion(0)
      public final GroovyParser.QualifiedNameContext qualifiedName()

    - #### @RuleVersion(0)
      public final QualifiedNameElementContext qualifiedNameElement()

    - #### @RuleVersion(0)
      public final QualifiedNameElementsContext qualifiedNameElements()

    - #### @RuleVersion(0)
      public final GroovyParser.QualifiedStandardClassNameContext qualifiedStandardClassName()

    - #### @RuleVersion(0)
      public final GroovyParser.ResourceContext resource()

    - #### @RuleVersion(0)
      public final GroovyParser.ResourceListContext resourceList()

    - #### @RuleVersion(0)
      public final GroovyParser.ResourcesContext resources()

    - #### @RuleVersion(0)
      public final GroovyParser.ReturnTypeContext returnType(int ct)

    - #### @RuleVersion(0)
      public final RparenContext rparen()

    - #### @RuleVersion(0)
      public final ScriptStatementContext scriptStatement()

    - #### @RuleVersion(0)
      public final GroovyParser.ScriptStatementsContext scriptStatements()

    - #### public boolean sempred(RuleContext _localctx, int ruleIndex, int predIndex)

    - #### @RuleVersion(0)
      public final SepContext sep()

    - #### @RuleVersion(0)
      public final GroovyParser.ClassOrInterfaceTypeContext standardClassOrInterfaceType()

    - #### @RuleVersion(0)
      public final GroovyParser.StandardLambdaExpressionContext standardLambdaExpression()

    - #### @RuleVersion(0)
      public final GroovyParser.StandardLambdaParametersContext standardLambdaParameters()

    - #### @RuleVersion(0)
      public final GroovyParser.TypeContext standardType()

    - #### @RuleVersion(0)
      public final GroovyParser.StatementContext statement()

    - #### @RuleVersion(0)
      public final StatementExpressionContext statementExpression()

    - #### @RuleVersion(0)
      public final GroovyParser.StringLiteralContext stringLiteral()

    - #### @RuleVersion(0)
      public final GroovyParser.SwitchBlockStatementExpressionGroupContext switchBlockStatementExpressionGroup()

    - #### @RuleVersion(0)
      public final GroovyParser.SwitchBlockStatementGroupContext switchBlockStatementGroup()

    - #### @RuleVersion(0)
      public final GroovyParser.SwitchExpressionContext switchExpression()

    - #### @RuleVersion(0)
      public final GroovyParser.SwitchExpressionLabelContext switchExpressionLabel()

    - #### @RuleVersion(0)
      public final GroovyParser.SwitchLabelContext switchLabel()

    - #### @RuleVersion(0)
      public final GroovyParser.SwitchStatementContext switchStatement()

    - #### @RuleVersion(0)
      public final GroovyParser.ThisFormalParameterContext thisFormalParameter()

    - #### @RuleVersion(0)
      public final GroovyParser.TryCatchStatementContext tryCatchStatement()

    - #### @RuleVersion(0)
      public final GroovyParser.TypeContext type()

    - #### @RuleVersion(0)
      public final GroovyParser.TypeArgumentContext typeArgument()

    - #### @RuleVersion(0)
      public final GroovyParser.TypeArgumentsContext typeArguments()

    - #### @RuleVersion(0)
      public final GroovyParser.TypeArgumentsOrDiamondContext typeArgumentsOrDiamond()

    - #### @RuleVersion(0)
      public final GroovyParser.TypeBoundContext typeBound()

    - #### @RuleVersion(0)
      public final GroovyParser.TypeDeclarationContext typeDeclaration()

    - #### @RuleVersion(0)
      public final GroovyParser.TypeListContext typeList()

    - #### @RuleVersion(0)
      public final GroovyParser.TypeNamePairContext typeNamePair()

    - #### @RuleVersion(0)
      public final GroovyParser.TypeNamePairsContext typeNamePairs()

    - #### @RuleVersion(0)
      public final GroovyParser.TypeParameterContext typeParameter()

    - #### @RuleVersion(0)
      public final GroovyParser.TypeParametersContext typeParameters()

    - #### @RuleVersion(0)
      public final GroovyParser.VariableDeclarationContext variableDeclaration(int t)

    - #### @RuleVersion(0)
      public final GroovyParser.VariableDeclaratorContext variableDeclarator()

    - #### @RuleVersion(0)
      public final GroovyParser.VariableDeclaratorIdContext variableDeclaratorId()

    - #### @RuleVersion(0)
      public final GroovyParser.VariableDeclaratorsContext variableDeclarators()

    - #### @RuleVersion(0)
      public final GroovyParser.VariableInitializerContext variableInitializer()

    - #### @RuleVersion(0)
      public final GroovyParser.VariableInitializersContext variableInitializers()

    - #### @RuleVersion(0)
      public final GroovyParser.VariableModifierContext variableModifier()

    - #### @RuleVersion(0)
      public final GroovyParser.VariableModifiersContext variableModifiers()

    - #### @RuleVersion(0)
      public final GroovyParser.VariableModifiersOptContext variableModifiersOpt()

    - #### @RuleVersion(0)
      public final GroovyParser.VariableNamesContext variableNames()

    - #### @RuleVersion(0)
      public final GroovyParser.YieldStatementContext yieldStatement()